//#line "menus.c" 51
extern void DrawBackground(void );
//#line "menus.c" 98
extern void DoMainMenu(void );
//#line "menus.c" 122
extern char *SoundCardName(int32 card);
//#line "menus.c" 180
extern char *BlasterTypeName(int32 type);
//#line "menus.c" 211
extern char *ControllerTypeName(int32 type);
//#line "menus.c" 244
extern void LaunchProgram(char *programname,boolean wait);
//#line "menus.c" 302
extern void LaunchMultiPlayer(int32 gametype);
//#line "menus.c" 315
extern void LaunchGame(int32 dummy);
//#line "menus.c" 347
extern void DoScreenBufferModeSetup(void );
//#line "menus.c" 394
extern void DoVesaBufferModeSetup(void );
//#line "menus.c" 479
extern void GrabFileEntries(int32 handle,char ***info,int32 numentries,int32 numfields);
//#line "menus.c" 521
extern void FreeFileEntries(char ***info,int32 numentries,int32 numfields);
//#line "menus.c" 546
extern int32 GetFileEntriesWidth(char **info,int32 numentries,int32 numfields);
//#line "menus.c" 576
extern int32 OpenFromFileWindow(int32 windowwidth);
//#line "menus.c" 630
extern void DrawFromFile(int32 windowhandle,int32 current,char **info,int32 numentries,int32 numfields);
//#line "menus.c" 718
extern void DoFromList(FromFileType *fromfile,char **fields,int32 numentries);
//#line "menus.c" 856
extern void DoFromFile(FromFileType *fromfile);
//#line "menus.c" 891
extern void DoFromFunctions(FromFunctionsType *fromfunctions);
//#line "menus.c" 933
extern void DoChooseFile(ChooseFileType *choosefile);
//#line "menus.c" 1005
extern void InitializeKeyDefinitions(int32 scripthandle);
//#line "menus.c" 1054
extern void AddKeyFunction(char *functionname);
//#line "menus.c" 1091
extern void AddKeyDef(char *functionname,char *keyname,int32 whichkey);
//#line "menus.c" 1137
extern void ClearKeyDef(char *functionname,int32 whichkey);
//#line "menus.c" 1179
extern void InitializeKeyDefList(void );
//#line "menus.c" 1191
extern void FreeKeyDefList(void );
//#line "menus.c" 1221
extern void ClearKeyDefionitions(void );
//#line "menus.c" 1250
extern void WriteKeyDefinitions(int32 scripthandle);
//#line "menus.c" 1270
extern KeyEntryType *IsKeyUsed(KeyEntryType *currentkey,char *keystring,int32 whichkey);
//#line "menus.c" 1301
extern char *GetNewKey(void );
//#line "menus.c" 1353
extern KeyEntryType *KeyDefinition(int32 num);
//#line "menus.c" 1377
extern int32 NumberKeyDefinitions(void );
//#line "menus.c" 1400
extern int32 GetWidestKeyDefinition(void );
//#line "menus.c" 1428
extern int32 GetWidestKeyName(void );
//#line "menus.c" 1454
extern int32 OpenKeyDefinitionWindow(int32 windowwidth);
//#line "menus.c" 1524
extern void DrawKeyDefs(int32 windowhandle,int32 current,int32 whichkey,int32 numkeydefs);
//#line "menus.c" 1711
extern void DoKeyDefs(void );
//#line "menus.c" 1893
extern void SetupSound(int32 cardname);
//#line "menus.c" 1992
extern void SetupMusic(int32 cardname);
//#line "menus.c" 2027
extern void TestMusic(void );
//#line "menus.c" 2089
extern void TestSound(void );
